Skip to navigation

Update Source Account

Updates source account properties.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
ID of the project.
accountIdstringRequiredformat: "uuid"

Eon-assigned ID of the source account to update.

Request

This endpoint expects an object.
namestringOptional
Display name for the source account in Eon.
sourceAccountAttributesobjectOptional

Cloud-provider-specific fields to update. One of: aws, gcp.

Response

Source account updated.
sourceAccountobject
Updated source account.

Errors

400
Bad Request Error
404
Not Found Error